Subject: RE: [Sip] clarifying the construction of the route header field at UA

From: [email-masked]
Date: Mon, 19 Sep 2005 13:41:34 -0700

Jonathan
A couple of items regarding this document -

Section 5.2 says -
If the request is
   a mid-dialog request, the route set is computed per the procedures in
   Section 12.2.1.1 of RFC 3261.  This route set overrides routes
   learned from configuration, DHCP, Service-Route or any other
   mechanism. 
 
However, Section 12.2.1.1 of RFC 3261 does not discuss computation of
Route set, it is headlined  "12.2.1.1 Generating the Request" and
discusses the method of generating the ReqUri given a Route set
with/without lr etc.

Another item that appears to remain unspecified is the mid-dialog
request that is sent when no Record Route has been received in the
dialog establishing response. Does a pre-loaded Route or Service Route
continue to be used on these requests?

Regards,
Venkat

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of 
> Jonathan Rosenberg (jdrosen)
> Sent: Monday, July 25, 2005 10:40 AM
> To: IETF SIP List
> Subject: [Sip] clarifying the construction of the route header field
at UA
> 
> Folks,
> 
> I've run into some issues recently in environments making use of the 
> service-route header field (RFC3608). In particular, there are now
many
> sources that can be used to construct the route header field that a UA

> uses in a request:
> 
> * record-routes
> * service-route
> * 305 Use Proxy
> * configuration, either through DHCP or the config framework
> 
> It was unclear how these various sources are reconciled to provide the

> final set, and which messages that set actually applies to (i.e., does

> it get used in REGISTER?).
> 
> I've written up an I-D that tries to summarize the issue and proposes 
> some clarifications:
> 
>
http://www.ietf.org/internet-drafts/draft-rosenberg-sip-route-construct-
> 00.txt
> 
> Comments and questions welcome.
> 
> Thanks,
> Jonathan R.
> --
> Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
> Director, Service Provider VoIP Architecture   Parsippany, NJ
07054-2711
> Cisco Systems
> [email-masked]                              FAX:   (973) 952-5050
> http://www.jdrosen.net                         PHONE: (973) 952-5000
> http://www.cisco.com
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Dale R. Worley" <[email-masked]>
Date: Tue, 20 Sep 2005 09:07:42 -0400

> continue to be used on these requests?

No, the route set exists, but it is empty.  So the sender of the request
sends it directly to the other end's Contact.

(The terminology is unfortunate, as the logic is clearer if one were to
consider the Contact as the final element of the route set, with all
other elements being listed in Route headers.)

Dale